package com.chenyang.nse.bussiness.service.core;

import com.chenyang.nse.bussiness.entity.orm.table.core.TCoreDigestMain;
import java.util.Map;

public interface TCoreDigestMainService {
   void save(TCoreDigestMain tCoreDigestMain);

   TCoreDigestMain query(String dataSystemId, String projectId, String schema, String tableName);

   Map<String, Object> queryDatasystemInfo(String projectid, String datasystemid);

   Map<String, Object> querytableInfo(String dataSystemId, String projectId, String schema, String tableName);

   void generatedigest(String dataSystemId, String projectId, String schema, String tableName);

   void deletedigest(String dataSystemId, String projectId, String schema, String tableName);

   boolean checkdigest(String dataSystemId, String projectId, String schema, String tableName);

   void taskgeneratedigest(TCoreDigestMain tCoreDigestMain);
}
